package com.ruoyi.nanjing.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.nanjing.domain.*;

/**
 * 机种类型Mapper接口
 * 
 * @author limy
 * @date 2021-01-22
 */
public interface TBdProducttypeMapper 
{

    /**
     * 查询机种类型列表
     * 
     * @param tBdProducttype 机种类型
     * @return 机种类型集合
     */
    public List<TBdProducttype> selectTBdProducttypeList(TBdProducttype tBdProducttype);

    List<TBdProducttype> selectTBdProducttype();

    List<ProRpList> selectProLists(Map map);

    List<QtProduct> selectQtProductList(Map map);

    List<QsProduct> selectQsProductList(Map map);

    List<QsProduct> selectQ1ProductList(Map map);

    List<QsStation> selectStationQs(Map map);

    List<QsStation> selectAllQs(Map map);

    List<Map<String,Object>> selectReport(Map map);
}
